Name:		fakechroot
Version:	2.20.1
Release:	%mkrel 9
Summary:	Gives a fake chroot environment
License:	LGPLv2+
Group:		Development/C
URL:            https://github.com/dex4er/fakechroot
Source0:	https://github.com/dex4er/fakechroot/releases/download/2.20.1/%{name}-%{version}.tar.gz
Patch1:         https://github.com/dex4er/fakechroot/commit/b42d1fb9538f680af2f31e864c555414ccba842a.patch
Patch2:         https://github.com/dex4er/fakechroot/pull/80.patch
Patch3:         https://github.com/dex4er/fakechroot/pull/100.patch
Patch4:         https://github.com/dex4er/fakechroot/pull/104.patch
Patch5:         https://github.com/dex4er/fakechroot/pull/93.diff
BuildRequires:  git-core
BuildRequires:  gdbm

%description
fakechroot runs a command in an environment were is additionally
possible to use the chroot(8) call without root privileges. This is
useful for allowing users to create their own chrooted environment
with possibility to install another packages without need for root
privileges.

%prep
%autosetup -S git

%build
autoreconf -vfi

%if 0%{?__isa_bits} == 64
%configure --disable-static --disable-silent-rules --with-libpath="%{_libdir}/fakechroot:/usr/lib/fakechroot"
%else
%configure --disable-static --disable-silent-rules --with-libpath="%{_libdir}/fakechroot:/usr/lib64/fakechroot"
%endif
%make_build

%install
%make_install
# Drop libtool files
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%check
make test || :

%files
%doc scripts/restoremode.sh scripts/savemode.sh
%license COPYING LICENSE
%{_bindir}/*fakechroot
%{_sbindir}/chroot.fakechroot
/etc/fakechroot
%{_mandir}/man1/fakechroot.1.*
# No library package, there's no major:
%{_libdir}/fakechroot/libfakechroot.so


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.20.1-9.mga10
+ Revision: 2217213
- Mageia 10 Mass Rebuild

* Wed Jan 04 2023 tv <tv> 2.20.1-8.mga9
+ Revision: 1929737
- PR #104 have more 2 commits
- Patch to fix test on 32bits is not needed anymore, maybe glibc was fixed (on 32 bits)

* Sat Nov 05 2022 tv <tv> 2.20.1-7.mga9
+ Revision: 1903824
- All changes to fakechroot we carry in Debian for glibc >= 2.34 #104
  check return value of dladdr #70
  glibc 2.33+ compatibility #85
  Wrap fstatat and fstatat64 (glibc 2.33) #86
  src/lckpwdf.c: create an empty /etc/.pwd.lock #95
  Wrap all functions accessing /etc/passwd, /etc/group and /etc/shadow for glibc >= 2.34 #98
  Stat fix compilation #73 is also included
  The strcpy writes the terminating null byte as well. #79 is also included
  as note #98 for glibc 2.32 added src/__nss_files_fopen.c and later for glibc 2.34 remove it
- Fix typo in AC_PATH_PROG for ldconfig #80 is not included but it is a trivial fix
- Fix issue #92 #93 not included
- rel2abs: Only call getcwd_real for relative paths #100 not included
- fix_test_on_32bits.patch (which strated to fail on F36+)

* Fri Mar 18 2022 umeabot <umeabot> 2.20.1-6.mga9
+ Revision: 1797849
- Mageia 9 Mass Rebuild

* Sun Mar 14 2021 wally <wally> 2.20.1-5.mga9
+ Revision: 1702494
- drop patch breaking rpm testsuite

* Sun Feb 28 2021 tv <tv> 2.20.1-4.mga9
+ Revision: 1693265
- Fix build with upcoming glibc 2.33+
- Wrap fstatat and fstatat64 (glibc 2.33)
- we don't need to run autogen.sh anymore

* Sun May 03 2020 tv <tv> 2.20.1-3.mga8
+ Revision: 1578592
- use %%license
- use %%autosetup
- fix URL

* Sat Feb 15 2020 umeabot <umeabot> 2.20.1-2.mga8
+ Revision: 1527695
- Mageia 8 Mass Rebuild

* Tue Jul 23 2019 tv <tv> 2.20.1-1.mga8
+ Revision: 1423577
- new release

* Sun Sep 23 2018 umeabot <umeabot> 2.19-1.2.mga7
+ Revision: 1297657
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.19-1.1.mga7
+ Revision: 1164971
- Add support for LFS

* Mon Jul 17 2017 tv <tv> 2.19-1.mga7
+ Revision: 1124116
- new release
- use std macros

* Thu Mar 17 2016 tv <tv> 2.18-1.mga6
+ Revision: 992368
- new release

* Thu Feb 11 2016 umeabot <umeabot> 2.17.2-0.2.mga6
+ Revision: 953935
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 2.17.2-0.1.mga6
+ Revision: 883248
- new release
- rediff patch

* Wed Oct 15 2014 umeabot <umeabot> 2.16-8.mga5
+ Revision: 742265
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.16-7.mga5
+ Revision: 679083
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.16-6.mga4
+ Revision: 504242
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.16-5.mga3
+ Revision: 350046
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 sander85 <sander85> 2.16-4.mga3
+ Revision: 344773
- Disable broken tests

* Fri Jul 13 2012 rtp <rtp> 2.16-3.mga3
+ Revision: 270591
- update glob64 patch to handle glob too.

* Wed Jul 04 2012 rtp <rtp> 2.16-2.mga3
+ Revision: 267605
- fix testsuite call (the Makefile target is test not check)
- workaround for rpm glob64 issue

* Wed Jun 27 2012 tv <tv> 2.16-1.1.mga3
+ Revision: 264172
- fix file list
- fix file list
- new release

* Tue Mar 13 2012 tv <tv> 2.9-1.1.mga2
+ Revision: 223257
- imported package fakechroot


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-25
- initial release
